/*
 ArdBot Sharp IR sensor - REVISED
  Does not use transistor to switch on & off
  (see www.robotoid.com/servomag for circuit details)
 Requires Arduino IDE version 0017 
  or later (0019 or later preferred)
*/

const int irSense = A5;      // Connect sensor to analog pin A5
int distance = 0;

void setup() {
  Serial.begin(9600);    // Use Serial Monitor window
}

void loop() {
  Serial.println(irRead(), DEC); // Call irRead function to read sensor
  delay(250);                    // Wait 1/4 second for the next read
}

int irRead() {
  int averaging = 0;            //  Holds value to average readings

  // Get a sampling of 5 readings from sensor
  for (int i=0; i<5; i++) {
    distance = analogRead(irSense);
    averaging = averaging + distance;
    delay(55);      // Wait 55 ms between each read
                    // According to datasheet time between each read
                    //  is -38ms +/- 10ms. Waiting 55 ms assures each
                    //  read is from a different sample
  }
  distance = averaging / 5;      // Average out readings
  return(distance);              // Return value

}

