/*
 ArdBot sensor turret demonstration
 Requires Arduino IDE version 0017 
  or later (0019 or later preferred)
*/


#include <Servo.h> 
 
Servo myServo;
const int delayTime = 2000;
const int servoPin = 8;
 
void setup() {
  myServo.attach(servoPin);
} 
 
void loop() { 
  turretL();    
  turretR();
  // Rotate turret in steps
  //  Arguments: min-position, max-position,
  //  delay between steps
  turretStep(40, 140, 150);
  turretCenter();
  delay(delayTime);
} 

void turretR() {
  myServo.write(40);
  delay(delayTime);
}

void turretL() {
  myServo.write(140);
  delay(delayTime);
}

void turretStep(int minVal, int maxVal, int stepDelay) {
  for(int i=minVal; i<=maxVal; i+=10) {
    myServo.write(i);
    delay(stepDelay);
  }
}

void turretCenter() {
  myServo.write(90);
  delay(delayTime);
}

